Package org.eclipse.cdt.core

## Interface IMarkerGenerator

All Known Implementing Classes:
  `ACBuilder`, `CBuildConfiguration`, `StandardBuildConfiguration`

    public interface IMarkerGenerator

Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `SEVERITY_ERROR_BUILD`
`static int` `SEVERITY_ERROR_RESOURCE`
`static int` `SEVERITY_INFO`
`static int` `SEVERITY_WARNING`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addMarker​(ProblemMarkerInfo problemMarkerInfo)`
`void` `addMarker​(org.eclipse.core.resources.IResource file, int lineNumber, String errorDesc, int severity, String errorVar)` Deprecated. Use public void addMarker(org.eclipse.cdt.core.ProblemMarkerInfo problem) instead.

### Field Detail

#### SEVERITY_INFO

    static final int SEVERITY_INFO

See Also:
  Constant Field Values

#### SEVERITY_WARNING

    static final int SEVERITY_WARNING

See Also:
  Constant Field Values

#### SEVERITY_ERROR_RESOURCE

    static final int SEVERITY_ERROR_RESOURCE

See Also:
  Constant Field Values

#### SEVERITY_ERROR_BUILD

    static final int SEVERITY_ERROR_BUILD

See Also:
  Constant Field Values

### Method Detail

#### addMarker

    @Deprecated
    void addMarker​(org.eclipse.core.resources.IResource file,
                   int lineNumber,
                   String errorDesc,
                   int severity,
                   String errorVar)

Deprecated.
Use public void addMarker(org.eclipse.cdt.core.ProblemMarkerInfo problem) instead.

Restriction:
  This method is not intended to be referenced by clients.

#### addMarker

    void addMarker​(ProblemMarkerInfo problemMarkerInfo)